# -*- coding: utf-8 -*-

# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test case u1webs-002 Log in.
Log in to the website with an existing account.

"""

from sst.actions import *
import actions.setup as setup_actions
import actions.dashboard as dashboard_actions
import actions.header as header_actions
from _passwords import full_name

setup_actions.setup(new_user=False)
dashboard_actions.assert_page_title()
header_actions.assert_login(full_name)
dashboard_actions.assert_welcome_message(full_name)
