# -*- coding: utf-8 -*-

# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test case u1webs-003 Log out.
Log out from the website.

"""

from sst.actions import *
import actions.setup as setup_actions
import actions.header as header_actions
import actions.sso as sso_actions

setup_actions.setup()
header_actions.logout()
sso_actions.assert_logout()
sso_actions.return_to_site()
header_actions.assert_logout()
