# -*- coding: utf-8 -*-

# Authors:
#     Rick McBride <rick.mcbride@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

'''Check existence of notes Page.'''
from sst.actions import *
import actions.setup as setup_actions

setup_actions.setup(new_user=False)
go_to("/notes/")
setup_actions.wait_for(assert_title, u"Ubuntu One : Notes")
exists_element(css_class='add-button', text='Add note')
