# -*- coding: utf-8 -*-

# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test case u1weba-001 Account details.
Verify the account information.

"""

from sst.actions import *
import actions.setup as setup_actions
import actions.account as account_actions
from _passwords import full_name, email

setup_actions.setup()
account_actions.open()
account_actions.assert_account_details(full_name, email)
account_actions.click_edit_account_details()
assert_url('https://login.ubuntu.com/')
