# -*- coding: utf-8 -*-

# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

# Waiting actions will wait for this amount of seconds, unless a different
# timeout is set calling the SST action set_wait_timeout.
DEFAULT_TIMEOUT = 40

# set below according to need (staging v production v test instance)
ENVIRONMENT = 'staging'
#ENVIRONMENT = 'edge'
#ENVIRONMENT = 'production'

# Email inbox data
IMAP_SERVER = 'mail.canonical.com'
IMAP_USERNAME = 'u1test'
IMAP_PASSWORD = 'password'

# You can overwrite the default configuration setting the variables on
# the file shared/_local_config.py.
try:
    from _localconfig import *
except ImportError:
    pass
